using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using ReportService.Models;
using System.IO;
using Microsoft.AspNetCore.Hosting;
using System.Text.Json.Serialization;

namespace ReportService.Controllers
{
    public class HomeController:Controller
    {
        private readonly ILogger<HomeController> _logger;


        public HomeController(ILogger<HomeController> logger) {
            _logger = logger;
        }

        public IActionResult Index(string uid,string un,string reportName) {
            uid ??= "";
            un ??= "";
            reportName ??= "";
            Response.Cookies.Append("_userCK",$"{{\"uid\":\"{uid}\",\"un\":\"{un}\"}}");
            Response.Cookies.Append("_initReport",reportName);
            return View();
        }

        public IActionResult Privacy() {
            return View();
        }

        [ResponseCache(Duration = 0,Location = ResponseCacheLocation.None,NoStore = true)]
        public IActionResult Error() {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
